# Get all template versions

Returns a paginated list of template versions.

Endpoint: GET /v3/{domain_name}/templates/{template_name}/versions
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain_name` (string, required)
    Domain name to fetch the templates for.

  - `template_name` (string, required)
    Template name to fetch the versions for.

## Query parameters:

  - `page` (string)
    Name of the page to retrieve. Value can be first, last, next, or previous. Defaults to first.
    Enum: "first", "last", "next", "previous"

  - `limit` (integer)
    Number of templates to retrieve. Default and max limit is 100.

  - `p` (string)
    Pivot used to retrieve the next page of templates.

## Response 200 fields (application/json):

  - `template` (any, required)
    Template details

  - `paging` (object, required)
    Pagination details

  - `paging.previous` (string, required)
    Previous page URL

  - `paging.first` (string, required)
    First page URL

  - `paging.next` (string, required)
    Next page URL

  - `paging.last` (string, required)
    Last page URL

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message


